%global srcname glyphsLib
%global pkgname glyphslib

Name:           python-%{pkgname}
Version:        1.6.0
Release:        1%{?dist}
Summary:        A bridge from Glyphs source files to UFOs

License:        ASL 2.0
URL:            https://pypi.org/project/%{srcname}
Source0:        https://github.com/googlei18n/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
This library provides a bridge from Glyphs source files (.glyphs) to UFOs
(Unified Font Object).

%package -n python2-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pkgname}}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-pytest
BuildRequires:  python2-pytest-runner
BuildRequires:  python2-fonttools
BuildRequires:  python2-defcon
BuildRequires:  python2-mutatormath
BuildRequires:  python2-mock
Requires: python2-fonttools
Requires: python2-defcon
Requires: python2-mutatormath

%description -n python2-%{pkgname}
This library provides a bridge from Glyphs source files (.glyphs) to UFOs
(Unified Font Object).


%package -n python3-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkgname}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-fonttools
BuildRequires:  python3-defcon
BuildRequires:  python3-mutatormath
BuildRequires:  python3-mock
Requires: python3-fonttools
Requires: python3-defcon
Requires: python3-mutatormath

%description -n python3-%{pkgname}
This library provides a bridge from Glyphs source files (.glyphs) to UFOs
(Unified Font Object).


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{pkgname}
%license LICENSE
%doc README.rst CONTRIBUTING.md
%dir %{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-*.egg-info
%{python2_sitelib}/%{srcname}/*.py*

%files -n python3-%{pkgname}
%license LICENSE
%doc README.rst CONTRIBUTING.md
%dir %{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{srcname}/*.py
%{python3_sitelib}/%{srcname}/__pycache__
%{_bindir}/glyphs2ufo

%changelog
* Mon Apr 10 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 1.6.0-1
- Update version
- Add pythonX-mock BR

* Sun Mar 19 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 1.5.2-1
- Initial package
